Package org.opensaml.saml.saml2.assertion.messaging.impl

# Class DefaultAssertionValidationContextBuilder.DefaultValidInResponseToLookupFunction

java.lang.Object
org.opensaml.saml.saml2.assertion.messaging.impl.DefaultAssertionValidationContextBuilder.DefaultValidInResponseToLookupFunction

All Implemented Interfaces:
  `Function<InOutOperationContext,String>`

Enclosing class:
  DefaultAssertionValidationContextBuilder

public static class DefaultAssertionValidationContextBuilder.DefaultValidInResponseToLookupFunction extends Object implements Function<InOutOperationContext,String>
Default strategy for resolving the valid InResponseTo value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,String>`
`delegate`
The lookup delegate.

## Constructor Summary

Constructors
Constructor
Description
`DefaultValidInResponseToLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(InOutOperationContext prc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### delegate

@Nonnull private Function<MessageContext,String> delegate
The lookup delegate.

## Constructor Details

### DefaultValidInResponseToLookupFunction

public DefaultValidInResponseToLookupFunction()
Constructor.

## Method Details

### apply

@Nullable public String apply(@Nullable InOutOperationContext prc)

Specified by:
  `apply` in interface `Function<InOutOperationContext,String>`